Bug 846181 - [abrt] GLC_Player-2.3.0-2.fc17: GLC_Shader::deleteShader: Process /usr/bin/glc_player was killed by signal 11 (SIGSEGV)
[abrt] GLC_Player-2.3.0-2.fc17: GLC_Shader::deleteShader: Process /usr/bin/gl...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: GLC_Player (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
abrt_hash:8331676d18bf48dc33fdd26b066...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 00:19 EDT by Claudio Rodrigo Pereyra DIaz
Modified: 2012-08-31 15:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-31 15:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (7.21 KB, text/plain)
2012-08-07 00:19 EDT, Claudio Rodrigo Pereyra DIaz
no flags Details
File: backtrace (46.29 KB, text/plain)
2012-08-07 00:19 EDT, Claudio Rodrigo Pereyra DIaz
no flags Details
File: maps (36.71 KB, text/plain)
2012-08-07 00:19 EDT, Claudio Rodrigo Pereyra DIaz
no flags Details
File: dso_list (12.16 KB, text/plain)
2012-08-07 00:19 EDT, Claudio Rodrigo Pereyra DIaz
no flags Details
File: build_ids (5.21 KB, text/plain)
2012-08-07 00:19 EDT, Claudio Rodrigo Pereyra DIaz
no flags Details

  None (edit)
Description Claudio Rodrigo Pereyra DIaz 2012-08-07 00:19:05 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        glc_player
crash_function: GLC_Shader::deleteShader
executable:     /usr/bin/glc_player
kernel:         3.5.0-2.fc17.i686.PAE
pid:            1961
pwd:            /home/matias
remote_result:  NOTFOUND
time:           lun 06 ago 2012 20:27:35 ART
uid:            1000
username:       matias
xsession_errors: 

backtrace:      Text file, 47400 bytes
build_ids:      Text file, 5330 bytes
dso_list:       Text file, 12452 bytes
event_log:      Text file, 7387 bytes
maps:           Text file, 37593 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/matias/2

core_backtrace:
:595035d7c57cd9f343258f09f6c8625161927d34 0xe64c7 GLC_Shader::deleteShader() libGLC_lib.so.2 -
:595035d7c57cd9f343258f09f6c8625161927d34 0xe53c6 GLC_SelectionMaterial::deleteShader(QGLContext libGLC_lib.so.2 -
:3604086a7c1e04b5ffa66193816534a7f9278ec1 0xafc27 - [exe] -
:3604086a7c1e04b5ffa66193816534a7f9278ec1 0x27e7d - [exe] -
:3604086a7c1e04b5ffa66193816534a7f9278ec1 0x1f9a7 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=20-37719386-6
:SHELL=/bin/bash
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/matias/keyring-EkR8Gu
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=matias
:USERNAME=matias
:MAIL=/var/spool/mail/matias
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/matias/.local/bin:/home/matias/bin
:DESKTOP_SESSION=gnome
:PWD=/home/matias
:GNOME_KEYRING_PID=1020
:LANG=es_AR.utf8
:GDM_LANG=es_AR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/matias
:SHLVL=1
:LOGNAME=matias
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-7GooqSlf2z,guid=c9707f50005e4372b441028500000081
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/matias
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-matias-bV1ClQ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1024,unix/unix:/tmp/.ICE-unix/1024
:SSH_AUTH_SOCK=/run/user/matias/keyring-EkR8Gu/ssh
:GPG_AGENT_INFO=/run/user/matias/keyring-EkR8Gu/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-glc_player.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1961

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7812                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7812                 7812                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/matias/.xsession-errors
:pos:	19658
:flags:	02002
:2:/home/matias/.xsession-errors
:pos:	19658
:flags:	02002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[30583]
:pos:	0
:flags:	02004000
:5:pipe:[30583]
:pos:	0
:flags:	02004001
:6:socket:[30584]
:pos:	0
:flags:	02004002
:7:socket:[30587]
:pos:	0
:flags:	02004002
:8:socket:[30591]
:pos:	0
:flags:	02004002
:9:socket:[31178]
:pos:	0
:flags:	02000002
:10:/dev/dri/card0
:pos:	0
:flags:	02
:11:socket:[30656]
:pos:	0
:flags:	02004002
:12:anon_inode:inotify
:pos:	0
:flags:	02004000
:13:socket:[31352]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 99e577f9-9759-4464-b3a2-376769fd2a81
:SO: Fedora release 17 (Beefy Miracle)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_AR.utf8
:Plataforma: i686
:BogoMIPS: 3325.05
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Atom(TM) CPU N450   @ 1.66GHz
:Paso del UCP: 10
:Familia de UCP: 6
:Número de Modelo de CPU: 28
:Número de CPUs: 2
:Velocidad del CPU: 1667
:Memoria del Sistema: 993
:Intercambio (swap) del Sistema: 2047
:Vendedor: EXO
:Sistema: Exomate X352 MP PV
:Factor de forma: Other
:Kernel: 3.5.0-2.fc17.i686.PAE
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:10172:4121:37056) pci, None, PCI/ISA, NM10 Family LPC Controller
:(4332:33138:4332:33138) pci, rtl8192se, NETWORK, RTL8191SEvB Wireless LAN Controller
:(32902:40977:4121:39281) pci, i915, VIDEO, N10 Family Integrated Graphics Controller
:(32902:40978:4121:39281) pci, None, VIDEO, N10 Family Integrated Graphics Controller
:(32902:10192:4121:37056) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4121:37056) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4121:37056) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10196:4121:37056) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:4121:37056) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:4121:37056) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10177:4121:37056) pci, ahci, STORAGE, N10/ICH7 Family SATA AHCI Controller
:(32902:10185:4121:37056) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4121:37056) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:40976:4121:39281) pci, agpgart-intel, HOST/PCI, N10 Family DMI Bridge
:(32902:10186:4121:37056) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4121:37056) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4121:37056) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(4332:33078:4121:37056) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_20--37719386--6-lv_root / ext4 4096 4096 5226465 2738688 2476544 1310720 1059094 1059094
:/dev/sda2 /boot ext4 1024 1024 508644 403769 378169 128016 127667 127667
:/dev/mapper/vg_20--37719386--6-lv_home /home ext4 4096 4096 6625755 2628181 2295996 1662976 1631287 1631287
:/dev/sdb1 WITHHELD vfat 4096 4096 243232 243009 243009 0 0 0
:

var_log_messages:
:Aug  6 20:27:35 20-37719386-6 kernel: [ 2364.029106] glc_player[1961]: segfault at 18 ip 410e64c7 sp bfb56d40 error 4 in libGLC_lib.so.2.2.0[41000000+14d000]
:Aug  6 20:27:36 20-37719386-6 abrt[1969]: Saved core dump of pid 1961 (/usr/bin/glc_player) to /var/spool/abrt/ccpp-2012-08-06-20:27:35-1961 (46219264 bytes)
Comment 1 Claudio Rodrigo Pereyra DIaz 2012-08-07 00:19:10 EDT
Created attachment 602630 [details]
File: event_log
Comment 2 Claudio Rodrigo Pereyra DIaz 2012-08-07 00:19:14 EDT
Created attachment 602631 [details]
File: backtrace
Comment 3 Claudio Rodrigo Pereyra DIaz 2012-08-07 00:19:17 EDT
Created attachment 602632 [details]
File: maps
Comment 4 Claudio Rodrigo Pereyra DIaz 2012-08-07 00:19:20 EDT
Created attachment 602633 [details]
File: dso_list
Comment 5 Claudio Rodrigo Pereyra DIaz 2012-08-07 00:19:22 EDT
Created attachment 602634 [details]
File: build_ids
Comment 6 Nicolas Chauvet (kwizart) 2012-08-31 15:12:09 EDT
:(32902:40977:4121:39281) pci, i915, VIDEO, N10 Family Integrated Graphics Controller

I'm not sure one can do anything helpfull on such low-end chipset about 3D.
Feel free to re-assign to xorg-x11-drv-intel if your think it is a regression of the intel driver or try to reproduce with a radeon or nouveau on the related hardware. (and reopen on the component then).

Thx for reporting.

Note You need to log in before you can comment on or make changes to this bug.